<?php

require_once(dirname(dirname(__FILE__)).'/vendors/autoload.php');
$parameters = require(dirname(dirname(dirname(dirname(__FILE__)))).'/app/config/parameters.php');

use Ifsnop\Mysqldump as IMysqldump;

$dumpSettingsDefault = array(
	'include-tables' => array(

		$parameters['parameters']['database_prefix'].'accessory',

		$parameters['parameters']['database_prefix'].'artefact_conversions_rules',
		$parameters['parameters']['database_prefix'].'artefact_orders_export',

		$parameters['parameters']['database_prefix'].'attribute',
		$parameters['parameters']['database_prefix'].'attribute_group',
		$parameters['parameters']['database_prefix'].'attribute_group_lang',
		$parameters['parameters']['database_prefix'].'attribute_group_shop',
		$parameters['parameters']['database_prefix'].'attribute_shop',
		$parameters['parameters']['database_prefix'].'attribute_lang',
		$parameters['parameters']['database_prefix'].'category',
		$parameters['parameters']['database_prefix'].'category_group',
		$parameters['parameters']['database_prefix'].'category_lang',
		$parameters['parameters']['database_prefix'].'category_shop',
		$parameters['parameters']['database_prefix'].'category_product',
		$parameters['parameters']['database_prefix'].'configuration',
		
		$parameters['parameters']['database_prefix'].'feature',
		$parameters['parameters']['database_prefix'].'feature_lang',
		$parameters['parameters']['database_prefix'].'feature_product',
		$parameters['parameters']['database_prefix'].'feature_shop',
		$parameters['parameters']['database_prefix'].'feature_value',
		$parameters['parameters']['database_prefix'].'feature_value_lang',
		$parameters['parameters']['database_prefix'].'image',
		$parameters['parameters']['database_prefix'].'image_lang',
		$parameters['parameters']['database_prefix'].'image_shop',
		
		$parameters['parameters']['database_prefix'].'manufacturer',
		$parameters['parameters']['database_prefix'].'manufacturer_lang',
		$parameters['parameters']['database_prefix'].'manufacturer_shop',

		$parameters['parameters']['database_prefix'].'module',
		$parameters['parameters']['database_prefix'].'module_access',
		$parameters['parameters']['database_prefix'].'module_group',
		$parameters['parameters']['database_prefix'].'module_shop',

		$parameters['parameters']['database_prefix'].'product',
		$parameters['parameters']['database_prefix'].'product_attribute',
		$parameters['parameters']['database_prefix'].'product_attribute_image',
		$parameters['parameters']['database_prefix'].'product_attribute_combination',
		$parameters['parameters']['database_prefix'].'product_attribute_shop',
		$parameters['parameters']['database_prefix'].'product_lang',
		$parameters['parameters']['database_prefix'].'product_shop',

/*
		$parameters['parameters']['database_prefix'].'pack',
*/

		$parameters['parameters']['database_prefix'].'stock_available',

		$parameters['parameters']['database_prefix'].'shop',

		$parameters['parameters']['database_prefix'].'specific_price',
		$parameters['parameters']['database_prefix'].'specific_price_priority',
		$parameters['parameters']['database_prefix'].'specific_price_rule',
		$parameters['parameters']['database_prefix'].'specific_price_rule_condition',
		$parameters['parameters']['database_prefix'].'specific_price_rule_condition_group',

		$parameters['parameters']['database_prefix'].'tax',
		$parameters['parameters']['database_prefix'].'tax_lang',
		$parameters['parameters']['database_prefix'].'tax_rule',
		$parameters['parameters']['database_prefix'].'tax_rules_group',
		$parameters['parameters']['database_prefix'].'tax_rules_group_shop'

    ),
    'add-drop-table'=>true,
    'compress' => 'gzip',
    'exclude-tables' => array(  ),
 /*
    'compress' => 'None',
    'no-data' => false,
    'add-drop-table' => false,
    'single-transaction' => true,
    'lock-tables' => false,
    'add-locks' => true,
    'extended-insert' => true,
    'complete-insert' => false,
    'disable-keys' => true,
    'where' => '',
    'no-create-info' => false,
    'skip-triggers' => false,
    'add-drop-trigger' => true,
    'routines' => false,
    'hex-blob' => true,
    'databases' => false,
    'add-drop-database' => false,
    'skip-tz-utc' => false,
    'no-autocommit' => true,
    'default-character-set' => 'utf8',
    'skip-comments' => false,
    'skip-dump-date' => false,
*/

);


try {
    $dump = new IMysqldump\Mysqldump('mysql:host=localhost;dbname='.$parameters['parameters']['database_name'], $parameters['parameters']['database_user'], $parameters['parameters']['database_password'], $dumpSettingsDefault);
    $dump->start(dirname(dirname(dirname(dirname(__FILE__)))) . '/arte-fact/bkp/storage/db-backup-'.time().'.sql.gz');
} catch (\Exception $e) {
    echo 'mysqldump-php error: ' . $e->getMessage();
}
exit;

function pp($arg) {
	echo '<pre>';
	print_r($arg);
	echo '</pre>';
}


?>